%define	major	1
%define	libname	 %mklibname %name %major

Summary:	An open-source, patent-free speech codec
Name:		speex
Version:	1.2.0
Release:	%mkrel 2
License:	BSD
Group:		Sound
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.xz
Patch1:		speex-1.1.6-fix-pkgconfig-path.patch
Patch2:		speex-1.2rc1-CVE-2008-1686.patch
URL:		http://www.speex.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	oggvorbis-devel
BuildRequires:	chrpath
BuildRequires:	autoconf2.5

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package -n	%{libname}
Summary:	Shared library of the Speex codec
Group:		System/Libraries

%description -n	%{libname}
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains the shared library required for running
applications based on Speex.

%package -n	%{libname}-devel
Summary:	Speex development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:  lib64speex1-static-devel

%description -n	%{libname}-devel
Speex development files.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .cve-2008-1686


%build
autoreconf -fi
export CFLAGS='%optflags -DRELEASE'

%configure2_5x --disable-static --enable-binaries --with-ogg-libraries=%{_libdir}

%make

%install
rm -rf %buildroot
%{makeinstall_std}
chrpath -d %buildroot%_bindir/*
rm -f %buildroot%{_datadir}/doc/manual.pdf

rm -rf %buildroot/%{_libdir}/libspeex*.la

%clean
rm -rf %buildroot

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%attr(755,root,root) %{_bindir}/speex*

%files -n %{libname}
%{_libdir}/libspeex*.so.*

%files -n %{libname}-devel
%{_docdir}/speex/manual.pdf
%{_libdir}/libspeex*.so
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_datadir}/aclocal/speex.m4


%changelog
* Tue Sep 08 2020 tex - 1.2.0-2pclos2020
- obsolete lib64speex1-static-devel

